Bug 201565 - clusvcmgrd Service "Status" operation fails returning "ERROR: Memory fault"
clusvcmgrd Service "Status" operation fails returning "ERROR: Memory fault"
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 10:20 EDT by Carlos Rodrigues
Modified: 2009-04-16 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 12:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2006-08-07 10:20:12 EDT
From Bugzilla Helper:
User-Agent: Opera/9.01 (Windows NT 5.1; U; en)

Description of problem:
clusvcmgrd Service "Status" operation fails returning "ERROR: Memory fault", 
causing the stop of the cluster service:

Aug  7 10:42:38 rtc2 clusvcmgrd: [18687]: <err> service error: User script '/
home/core/DSCP/cluster/bin/clu_Offline status' returned
Aug  7 10:42:39 rtc2 clusvcmgrd: [18687]: <err> service error: LTRH Running 
Aug  7 10:42:39 rtc2 clusvcmgrd: [18687]: <err> service error: ERROR: Memory 
fault 
Aug  7 10:42:39 rtc2 clusvcmgrd: [18687]: <err> service error: Check status 
failed on user script for Offline 
Aug  7 10:42:39 rtc2 clusvcmgrd[18686]: <warning> Restarting locally failed 
service Offline 

Version-Release number of selected component (if applicable):
clumanager-1.2.22-2

How reproducible:
Sometimes


Steps to Reproduce:
1.Configure a short monitor interval for this service 
2.Wait for a failure (happens arount once each week)
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Lon Hohberger 2006-08-08 12:23:17 EDT
The errors in the logs are stdout/stderr from the application script
'/home/core/DSCP/cluster/bin/clu_Offline', and are being reported to syslog by
the service handler.

That is, the error is coming from the application script, not from clusvcmgrd
itself.

If this is an intermittent problem (which you are confident does not indicate an
actual error with your application), then you could have the application script
retry when this particular error occurs.
Comment 2 Lon Hohberger 2006-08-08 17:32:27 EDT
If you'd like to attach the script, I can see if there's an easy way to make it
retry in this case.

Note You need to log in before you can comment on or make changes to this bug.